# Callback (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.utils

## Class Callback

- java.lang.Object
- - de.epiceric.shopchest.utils.Callback

    public abstract class Callback
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Callback(ShopChest plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `callSyncError(Throwable throwable)`
`void` `callSyncResult(Object result)`
`void` `onError(Throwable throwable)`
`void` `onResult(Object result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Callback

    public Callback(ShopChest plugin)

### Method Detail

#### onResult

    public void onResult(Object result)

#### onError

    public void onError(Throwable throwable)

#### callSyncResult

    public final void callSyncResult(Object result)

#### callSyncError

    public final void callSyncError(Throwable throwable)